=== modified file 'ChangeLog'
--- ChangeLog	2006-08-01 16:16:31 +0000
+++ ChangeLog	2006-08-02 20:35:25 +0000
@@ -1,3 +1,11 @@
+2006-08-02  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * cmenu.ui: context menu UIManager description added
+    * setup.py: install cmenu.ui to the appropriate place
+    * olive/frontend/gtk/menu.py: implement the context menus
+    * olive/frontend/gtk/__init__.py: added button_press_event for file list
+    * olive/frontend/gtk/handler.py: handling that even (show popup menu)
+
 2006-08-01  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * olive/frontend/gtk/push.py: now the number of pushed revisions gets

=== added file 'cmenu.ui'
--- cmenu.ui	1970-01-01 00:00:00 +0000
+++ cmenu.ui	2006-08-02 20:35:25 +0000
@@ -0,0 +1,11 @@
+<ui>
+    <popup name="context_right">
+        <menuitem name="add" action="add" />
+        <menuitem name="remove" action="remove" />
+        <separator />
+        <menuitem name="commit" action="commit" />
+        <separator />
+        <menuitem name="diff" action="diff" />
+        <menuitem name="log" action="log" />
+    </popup>
+</ui>

=== modified file 'olive.glade'
--- olive.glade	2006-08-01 16:16:31 +0000
+++ olive.glade	2006-08-02 20:35:25 +0000
@@ -51,7 +51,7 @@
 		      <signal name="activate" handler="on_menuitem_add_files_activate" last_modification_time="Fri, 21 Jul 2006 11:38:39 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image56">
+			<widget class="GtkImage" id="image70">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-add</property>
 			  <property name="icon_size">1</property>
@@ -72,7 +72,7 @@
 		      <signal name="activate" handler="on_menuitem_remove_file_activate" last_modification_time="Fri, 21 Jul 2006 13:54:07 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image57">
+			<widget class="GtkImage" id="image71">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-remove</property>
 			  <property name="icon_size">1</property>
@@ -193,7 +193,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_pull_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image58">
+			<widget class="GtkImage" id="image72">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-goto-bottom</property>
 			  <property name="icon_size">1</property>
@@ -214,7 +214,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_push_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image59">
+			<widget class="GtkImage" id="image73">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-goto-top</property>
 			  <property name="icon_size">1</property>
@@ -241,7 +241,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_commit_activate" last_modification_time="Mon, 17 Jul 2006 08:53:37 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image60">
+			<widget class="GtkImage" id="image74">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-redo</property>
 			  <property name="icon_size">1</property>
@@ -486,6 +486,7 @@
 		  <property name="hover_selection">False</property>
 		  <property name="hover_expand">False</property>
 		  <signal name="row_activated" handler="on_treeview_right_row_activated" last_modification_time="Thu, 20 Jul 2006 11:31:38 GMT"/>
+		  <signal name="button_press_event" handler="on_treeview_right_button_press_event" last_modification_time="Wed, 02 Aug 2006 17:16:29 GMT"/>
 		</widget>
 	      </child>
 	    </widget>

=== modified file 'olive/frontend/gtk/__init__.py'
--- olive/frontend/gtk/__init__.py	2006-08-01 16:16:31 +0000
+++ olive/frontend/gtk/__init__.py	2006-08-02 20:35:25 +0000
@@ -70,6 +70,7 @@
                 "on_toolbutton_commit_clicked": handler.on_menuitem_branch_commit_activate,
                 "on_toolbutton_pull_clicked": handler.not_implemented,
                 "on_toolbutton_push_clicked": handler.on_menuitem_branch_push_activate,
+                "on_treeview_right_button_press_event": handler.on_treeview_right_button_press_event,
                 "on_treeview_right_row_activated": handler.on_treeview_right_row_activated }
         
         # Connect the signals to the handlers

=== modified file 'olive/frontend/gtk/handler.py'
--- olive/frontend/gtk/handler.py	2006-07-31 18:17:48 +0000
+++ olive/frontend/gtk/handler.py	2006-08-02 20:35:25 +0000
@@ -34,6 +34,7 @@
 from checkout import OliveCheckout
 from commit import OliveCommit
 from dialog import OliveDialog
+from menu import OliveMenu
 from push import OlivePush
 from remove import OliveRemove
 
@@ -44,6 +45,8 @@
         self.comm = comm
         
         self.dialog = OliveDialog(self.gladefile)
+        
+        self.menu = OliveMenu(self.gladefile, self.comm, self.dialog)
     
     def on_about_activate(self, widget):
         self.dialog.about()
@@ -92,6 +95,12 @@
         remove = OliveRemove(self.gladefile, self.comm)
         remove.display()
     
+    def on_treeview_right_button_press_event(self, widget, event):
+        """ Occurs when somebody right-clicks in the file list. """
+        if event.button == 3:
+            self.menu.right_context_menu().popup(None, None, None, 0,
+                                                 event.time)
+        
     def on_treeview_right_row_activated(self, treeview, path, view_column):
         """ Occurs when somebody double-clicks or enters an item in the
         file list. """

=== modified file 'olive/frontend/gtk/remove.py'
--- olive/frontend/gtk/remove.py	2006-08-01 16:16:31 +0000
+++ olive/frontend/gtk/remove.py	2006-08-02 20:35:25 +0000
@@ -63,7 +63,7 @@
         
         self.comm.set_busy(self.window)
         if radio_selected.get_active():
-            # Add only the selected file
+            # Remove only the selected file
             filename = self.comm.get_selected_right()
             
             if filename is None:

=== modified file 'setup.py'
--- setup.py	2006-07-16 23:51:20 +0000
+++ setup.py	2006-08-02 20:35:25 +0000
@@ -27,4 +27,4 @@
       packages=['olive', 'olive.backend', 'olive.frontend', 'olive.frontend.gtk'],
       package_dir={'olive.backend': 'olive/backend', 'olive.frontend.gtk': 'olive/frontend/gtk'},
       scripts=['olive-gtk'],
-      data_files=[('share/olive', ['olive.glade', 'oliveicon2.png'])])
+      data_files=[('share/olive', ['olive.glade', 'oliveicon2.png', 'cmenu.ui'])])

